org.apache.cassandra.transport

## Class Event.TopologyChange

- java.lang.Object
- - org.apache.cassandra.transport.Event
  - - org.apache.cassandra.transport.Event.TopologyChange

- Enclosing class:
    Event

      public static class Event.TopologyChange
      extends Event

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `Event.TopologyChange.Change`

    - ### Nested classes/interfaces inherited from class org.apache.cassandra.transport.Event

      `Event.SchemaChange, Event.StatusChange, Event.TopologyChange, Event.Type`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `Event.TopologyChange.Change` | `change`
    `java.net.InetSocketAddress` | `node`

    - ### Fields inherited from class org.apache.cassandra.transport.Event

      `type`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Event.TopologyChange` | `movedNode(java.net.InetAddress host, int port)`
    `static Event.TopologyChange` | `newNode(java.net.InetAddress host, int port)`
    `static Event.TopologyChange` | `removedNode(java.net.InetAddress host, int port)`
    `protected org.jboss.netty.buffer.ChannelBuffer` | `serializeEvent()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class org.apache.cassandra.transport.Event

      `deserialize, serialize`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### change

          public final Event.TopologyChange.Change change

    - #### node

          public final java.net.InetSocketAddress node

  - ### Method Detail

    - #### newNode

          public static Event.TopologyChange newNode(java.net.InetAddress host,
                                     int port)

    - #### removedNode

          public static Event.TopologyChange removedNode(java.net.InetAddress host,
                                         int port)

    - #### movedNode

          public static Event.TopologyChange movedNode(java.net.InetAddress host,
                                       int port)

    - #### serializeEvent

          protected org.jboss.netty.buffer.ChannelBuffer serializeEvent()

      Specified by:
        `serializeEvent` in class `Event`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © 2014 The Apache Software Foundation